> ## Documentation Index
> Fetch the complete documentation index at: https://docs.become1.de/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Employee

> Create a new employee & user



## OpenAPI

````yaml post /api/v2/employees
openapi: 3.0.0
info:
  title: become.1 API
  description: become.1 API
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /api/v2/employees:
    post:
      description: Create a new employee & user
      operationId: ApiV2EmployeeController_createEmployeeUser
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EmployeeUserCreateInputDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EmployeeUserOutputDto'
      security:
        - bearer: []
components:
  schemas:
    EmployeeUserCreateInputDto:
      type: object
      properties:
        email:
          type: string
        personnelNumber:
          type: string
          nullable: false
          description: The employee is important for the import / export to payroll.
        companyId:
          type: string
          nullable: true
          description: The company the employee belongs to.
        costCenter:
          type: string
          nullable: true
          description: >-
            The cost center helps to organize employees, but is mainly important
            for the import / export to payroll.
        groups:
          nullable: true
          description: Groups help to organize employees.
          type: array
          items:
            type: array
        dateTerminated:
          format: date-time
          type: string
          description: >-
            The date when the employee should be terminated. When set, the
            access to any benefits will be terminated on this date.

                        For goodies, this means planned vouchers will have the endDate set to this date.

                         For flex, all access will also be have the validUntil set to this date.
        skipSendRegistrationEmail:
          type: boolean
      required:
        - email
        - personnelNumber
    EmployeeUserOutputDto:
      type: object
      properties:
        email:
          type: string
        employeeId:
          type: string
        companyId:
          type: string
        personnelNumber:
          type: string
        costCenter:
          type: string
          nullable: true
        groups:
          nullable: true
          type: array
          items:
            type: string
        datePausedStart:
          format: date-time
          type: string
          nullable: true
        datePausedEnd:
          format: date-time
          type: string
          nullable: true
        dateTerminated:
          format: date-time
          type: string
          nullable: true
      required:
        - email
        - employeeId
        - companyId
        - personnelNumber
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````